from flask_sqlalchemy import SQLAlchemy
from flask_user import UserManager, SQLAlchemyAdapter
from flask import Flask
from flask_mail import Mail
import os

app = Flask(__name__)
db = SQLAlchemy(app)

def init_app():
  mail = Mail(app)
  #db.init_app(app)
  db.create_all()

  # Setup Flask-User
  from slapos.certificate_authority.web.models import User
  db_adapter = SQLAlchemyAdapter(db, User)        # Register the User model
  user_manager = UserManager(db_adapter, app)     # Initialize Flask-User